### Index

* [Algorithms & Data Structures](#algorithms--data-structures)
* [Android](#android)
* [Arduino](#arduino)
* [ASP.NET](#aspnet)
* [C/C++](#cc)
* [C#](#csharp)
* [Deep Learning](#deep-learning)
* [Flutter](#flutter)
* [Git](#git)
* [Go](#go)
* [iOS](#ios)
* [Java](#java)
* [JavaScript](#javascript)
    * [AngularJS](#angularjs)
    * [React.js](#reactjs)
    * [Svelte](#svelte)
* [Kotlin](#kotlin)
* [Linux](#linux)
* [Machine Learning](#machine-learning)
* [Mathematics](#mathematics)
* [MySQL](#mysql)
* [Network](#network)
* [Operation System](#operation-system)
* [PHP](#php)
* [Python](#python)
    * [Django](#django)
    * [Flask](#flask)
* [Raspberry Pi](#raspberry-pi)
* [Reinforced Learning](#reinforced-learning)
* [Ruby](#ruby)
* [Security](#security)
* [Spring](#spring)
* [Swift](#swift)
* [Unity](#unity)
* [Unreal Engine](#unreal-engine)
* [Web Development](#web-development)
* [WebRTC](#webrtc)
* [Windows](#windows)


### Algorithms & Data Structures

* [실전 알고리즘 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDHxCvAQS1_6XV4deOwfVrz) - 동빈나
* [알고리즘 강좌](https://www.youtube.com/playlist?list=PLNvbgg5to7cfAx80VeQFW1Sq1mHGfiECo) - 권오흠
* [이상진의 자료구조 (2017)](https://www.youtube.com/playlist?list=PL7mmuO705dG12pP82RPUR3wdD5dbYu9gZ) - 프리렉


### Android

* [안드로이드 스튜디오 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdB6sCgj_jubp8KPb1ni0VOC) - 동빈나
* [안드로이드 스튜디오 실전 프로젝트](https://www.youtube.com/playlist?list=PLRx0vPvlEmdD862e43ADbvDeGPUZKDuqL)
* [안드로이드 프로그래밍 고급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhcXoTW9RwEf_7UTMcAJaink) - T 아카데미
* [안드로이드 프로그래밍 응용](https://www.youtube.com/playlist?list=PL9mhQYIlKEhd0NndsEQc0in36Oegm3ldE) - T 아카데미
* [안드로이드 프로그래밍 중급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhc7o2HHixQi0PU2sQVerRW2) - T 아카데미
* [안드로이드 프로그래밍 초급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhcAHpIweCixdDrPoXv5bXGx) - T 아카데미
* [Do it! 안드로이드 앱 프로그래밍 (2018)](https://www.youtube.com/playlist?list=PLG7te9eYUi7sq701GghpoSKe-jbkx9NIF)


### Arduino

* [아두이노 기초](https://www.youtube.com/playlist?list=PL0Vl139pNHbe-JlsydLg3NFRk6nC_cC7w)


### ASP.NET

* [ASP.NET MVC 강좌](https://www.youtube.com/playlist?list=PLbPz1r_wDPhEcKDJbOBw_3h5c2gtyDicX)


### C/C++

* [(개정판) C 언어 초보 강의](https://www.youtube.com/playlist?list=PLMsa_0kAjjreuGLbwYdkrCTXxfJIrmmA6) - 나도코딩
* [두들낙서의 C/C++ 강좌](https://www.youtube.com/playlist?list=PLlJhQXcLQBJqywc5dweQ75GBRubzPxhAk)
* [박정민의 C 언어본색](https://www.youtube.com/playlist?list=PL7mmuO705dG3Z4iSqwzztuPHF3YE8mlbw)
* [씹어먹는 C](https://modoocode.com/231) - 이재범
* [씹어먹는 C++](https://modoocode.com/135) - 이재범
* [최호성의 C 프로그래밍](https://www.youtube.com/playlist?list=PLXvgR_grOs1BiznAEkzQdA9tlcA06qx75)
* [C언어 기초 프로그래밍 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDNHeulKC6JM25MmZVS_3nT)
* [C언어 코딩도장](https://dojang.io/course/view.php?id=2)


### <a id="csharp"></a>C#

* [눈으로 보는 C# 프로그래밍](https://www.youtube.com/playlist?list=PLTFRwWXfOIYBmr3fK17E0VhKPyYrGy75z) - 눈코딩
* [예제로 배우는 C# 강좌](https://www.youtube.com/playlist?list=PL4PkN2EXiuVF3Xl0HNVMdY-_kMM3oyBds)
* [C# 기초 - 예제로 배우는 C# 프로그래밍](https://www.youtube.com/playlist?list=PLiNvMfa_Y5hfgpgd3hgXdHACCZuIEozjL) - csharpstudy
* [C# 중급 - 예제로 배우는 C# 프로그래밍](https://www.youtube.com/playlist?list=PLiNvMfa_Y5hdz3Pitggrisaam_35ZqdtE) - csharpstudy


### Deep Learning

* [모두를 위한 딥러닝 시즌 1](https://www.youtube.com/playlist?list=PLlMkM4tgfjnLSOjrEJN31gZATbcj_MpUm) - Sung Kim
* [모두를 위한 딥러닝 시즌 2](https://www.youtube.com/playlist?list=PLQ28Nx3M4Jrguyuwg4xe9d9t2XE639e5C) - Sung Kim
* [C++로 배우는 딥러닝](https://www.youtube.com/playlist?v=nHt7BHyJGko&list=PLNfg4W25Tapy5hIBmFZgT5coii1HUX6BD) - 홍정모


### Flutter

* [Flutter 강좌 순한맛](https://www.youtube.com/playlist?list=PLQt_pzi-LLfpcRFhWMywTePfZ2aPapvyl) - 코딩셰프
* [Flutter 입문](https://www.youtube.com/playlist?list=PLxTmPHxRH3VUueVvEnrP8qxHAP5x9XAPv) - 오준석의 생존코딩
* [Flutter 중급](https://www.youtube.com/playlist?list=PLxTmPHxRH3VWLY-eyQuV1C_IbIQlCXEhe) - 오준석의 생존코딩


### Git

* [12가지 명령어로 배우는 Git](https://www.youtube.com/playlist?list=PLcqDmjxt30RvjqpIBi4mtkK5LkzYtXluF) - ZeroCho TV
* [유튜브로 배우는 코딩 Git 강좌](https://www.youtube.com/playlist?list=PLHF1wYTaCuixewA1hAn8u6hzx5mNenAGM) - 영욱 스튜디오
* [GIT1](https://www.opentutorials.org/course/3837) - 생활코딩


### Go

* [쉽고 빠른 Go 시작하기](https://nomadcoders.co/go-for-beginners) - Nicolás Serrano Arévalo (Nomad Coders) (email address *required*)
* [컴맹을 위한 프로그래밍 기초 강좌](https://www.youtube.com/playlist?list=PLy-g2fnSzUTAaDcLW7hpq0e8Jlt7Zfgd6)


### iOS

* [iPhone 프로그래밍](https://www.youtube.com/playlist?list=PL9mhQYIlKEhdQ8viJACIwxIcUiXU2lMLX) - T아카데미


### Java

* [Do it! Java 프로그래밍 입문](https://www.youtube.com/playlist?list=PLG7te9eYUi7typZrH4fqXvs4E22ZFn1Nj) - 이지스퍼블리싱
* [Java 기초 프로그래밍 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdBjfCADjCc41aD4G0bmdl4R) - 동빈나
* [Java 리듬게임 만들기 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDySO3wDqMYGKMVH4Qa4QhR) - 동빈나
* [Java 입문수업](https://www.opentutorials.org/course/3930) - 생활코딩
* [Java with 인크레파스](https://www.youtube.com/playlist?list=PLa4r6B21Ny5ld_PTqzzqDMxxoj7l0z7Xp) - 인크레파스융합SW교육센터


### JavaScript

* [JavaScript 입문 수업 (2014)](https://www.youtube.com/playlist?list=PLuHgQVnccGMA4uSig3hCjl7wTDeyIeZVU) - 생활코딩
* [JavaScript for Web Browser (2014)](https://www.youtube.com/playlist?list=PLuHgQVnccGMDTAQ0S_FYxXOi1ZJz4ikaX) - 생활코딩


#### AngularJS

* [AngularJS](https://www.youtube.com/playlist?list=PLs_XsVQJKaBk_JN5RctLmmVrGwEzpzqaj) - 양재동 코드랩


#### React.js

* [React.js 강좌](https://www.youtube.com/playlist?list=PL9FpF_z-xR_GMujql3S_XGV2SpdfDBkeC) - Minjun Kim
* [React.js 이론부터 실전까지](https://www.youtube.com/playlist?list=PLRx0vPvlEmdCED62ZIWCbI-6G_jcwmuFB) - 동빈나


#### Svelte

* [Svelte.js 입문 가이드](https://www.inflearn.com/course/%EC%8A%A4%EB%B2%A8%ED%8A%B8-%EC%9E%85%EB%AC%B8-%EA%B0%80%EC%9D%B4%EB%93%9C/dashboard) - HEROPY (Inflearn)
* [SvelteKit(스벨트킷) 튜토리얼 Part.1](https://www.youtube.com/playlist?list=PL2Y878eUwQK4ZhfQfVdxS9yYdQlnfDInm) - 코딩셀러
* [SvelteKit(스벨트킷) 튜토리얼 Part.2](https://www.youtube.com/playlist?list=PL2Y878eUwQK6XN8emWcHFStBy-28bg_pM) - 코딩셀러


### Kotlin

* [디모의 Kotlin 강좌](https://www.youtube.com/playlist?list=PLQdnHjXZyYadiw5aV3p6DwUdXV2bZuhlN) - 테크과학! DiMo
* [안드로이드 코틀린 기초 강좌](https://www.youtube.com/playlist?list=PLva6rQOdsvQU7QJIg2RHM9wcT11X1S0pj) - 센치한 개발자


### Linux

* [리눅스 및 커널 프로그래밍](http://www.kocw.net/home/search/kemView.do?kemId=1266434) - 최태영


### Machine Learning

* [머신러닝/딥러닝 실전 입문](https://www.youtube.com/playlist?list=PLBXuLgInP-5m_vn9ycXHRl7hlsd1huqmS) - 윤인성
* [모두를 위한 머신러닝/딥러닝 강의](https://hunkim.github.io/ml/) - Sung Kim
* [파이토치(PyTorch) 튜토리얼 한국어 번역](https://tutorials.pytorch.kr) (HTML) *(:construction: in process - 번역 진행 중)*
* [파이토치로 시작하는 딥러닝 기초](https://www.boostcourse.org/ai214) - boostcourse
* [Python tensorflow & 머신러닝 기초 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdAbnmLH9yh03cw9UQU_o7PO) - 동빈나


### Mathematics

* [2013 2학기 선형대수](https://www.youtube.com/playlist?list=PLSN_PltQeOyjDGSghAf92VhdMBeaLZWR3) - 이상화
* [수치해석](http://www.kocw.net/home/search/kemView.do?kemId=1297704) - 김상철
* [수치해석 강의 동영상](https://youtube.com/playlist?list=PLczEhXyH_pUfKl9SPn-9j3K7olfBj5cpl) - 내가 이해한 기계공학 (WIU of Mech)
* [전산수학1](http://www.kocw.net/home/search/kemView.do?kemId=1296081) - 주재걸


### MySQL

* [DATABASE2-MySQL](https://www.youtube.com/playlist?list=PLuHgQVnccGMCgrP_9HL3dAcvdt8qOZxjW) - 생활코딩


### Network

* [컴퓨터 네트워크](http://www.kocw.net/home/search/kemView.do?kemId=1319674) - 김종덕
* [컴퓨터 네트워크](http://www.kocw.net/home/search/kemView.do?kemId=1312397) - 이석복


### Operation System

* [운영체제](http://ocw.kookmin.ac.kr/?course=15329) - 이시윤
* [운영체제](http://www.kocw.net/home/search/kemView.do?kemId=1194929) - 최린
* [운영체제론](http://socw.skku.edu/Lectures/Regular/Detail.do) - 엄영익


### PHP

* [PHP](https://youtube.com/playlist?list=PLuHgQVnccGMDzq8zAwEY5lvwDWXWTZjB6) - 생활코딩
* [PHP 프로그래밍](https://www.youtube.com/playlist?list=PLYNsYgev6U96jzS7AjBn5p7i_owJHqfyW) - 정보박사컴퓨터자격증


### Python

* [파이썬 실전 프로젝트](https://www.youtube.com/playlist?list=PLMsa_0kAjjrdqJ1rJba9MFWYv-GHluK4_) - 나도코딩
* [파이썬 코딩 도장](https://dojang.io/course/view.php?id=7)
* [MOOC: Python](https://www.youtube.com/playlist?list=PLBHVuYlKEkUJvRVv9_je9j3BpHwGHSZHz)
* [Python 입문자용 초급](https://www.youtube.com/playlist?list=PLRx0vPvlEmdD8u2rzxmQ-L97jHTHiiDdy)


#### Django

* [Python Django Web Framework](https://youtube.com/playlist?list=PLuHgQVnccGMDLp4GH-rgQhVKqqZawlNwG) - 생활코딩


#### Flask

* [Python Flask Web Framework](https://youtube.com/playlist?list=PLuHgQVnccGMClNOIuT3b3M4YZjxmult2y) - 생활코딩


### Raspberry Pi

* [라즈베리 파이](https://www.youtube.com/playlist?list=PL0Vl139pNHbc0ypjIuxUJuK-IPld0YmLO)


### Reinforced Learning

* [모두를 위한 RL 강좌](https://www.youtube.com/playlist?list=PLlMkM4tgfjnKsCWav-Z2F-MMFRx-2gMGG)


### Ruby

* [Python & Ruby](https://www.opentutorials.org/course/1750) - 생활코딩
* [Ruby coin](https://www.youtube.com/playlist?list=PLEBQPmkNcLCIE9ERi4k_nUkGgJoBizx6s)


### Security

* [시스템 해킹 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdAXwJnNtKIVeC27UmwljRYA)
* [안드로이드 앱 취약점 분석](https://www.youtube.com/playlist?list=PL1jdJcP6uQtvSGi1tH0Nekww8JTmgbdjh)
* [칼리리눅스 완벽 활용](https://www.youtube.com/playlist?list=PL1jdJcP6uQtt0N0cZsuaXOk8mOJcp3poU)
* [화이트해커를 위한 ARP 스푸핑 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdBCJ68hRavPf4cJNYVsOcXs)


### Spring

* [스프링 입문 - 코드로 배우는 스프링 부트, 웹 MVC, DB 접근 기술](https://www.inflearn.com/course/%EC%8A%A4%ED%94%84%EB%A7%81-%EC%9E%85%EB%AC%B8-%EC%8A%A4%ED%94%84%EB%A7%81%EB%B6%80%ED%8A%B8) - 김영한 (Inflearn)


### Swift

* [Swift 프로그래밍](https://www.youtube.com/playlist?list=PL9mhQYIlKEheAkAxX53qlTjjWK93Xd2pf) - T 아카데미


### Unity

* [유니티 강좌 (초급)](https://www.youtube.com/playlist?list=PLC2Tit6NyViewOPACJai5zNAfZuUW8aYq) - 고박사의 유니티 노트
* [유니티 기초 강좌](https://www.youtube.com/playlist?list=PLO-mt5Iu5TeYI4dbYwWP8JqZMC9iuUIW2) - 골드메달
* [유니티 기초 벡서라이크 언데드서바이벌](https://www.youtube.com/playlist?list=PLO-mt5Iu5TeZF8xMHqtT_DhAPKmjf6i3x) - 골드메달
* [유니티 초보 강의 + 실전 프로젝트](https://www.youtube.com/playlist?list=PLMsa_0kAjjrdcdM4RcpGni9OLv-xy8FiB) - 나도코딩


### Unreal Engine

* [실전 게임 제작으로 배우는 언리얼엔진](https://www.youtube.com/playlist?list=PL9kzervdzKxyIPMBHt26wkaAvCv6JkHQV)


### Web Development

* [웹 프로그래밍](http://www.kocw.net/home/search/kemView.do?kemId=1323070)
* [HTML5&CSS3 기초](https://www.youtube.com/playlist?list=PL9mhQYIlKEhdTdvqzohqVs3RTVHzWPu79) - T 아카데미
* [Web1-HTML](https://www.opentutorials.org/course/3084) - 생활코딩
* [Web2-CSS](https://www.opentutorials.org/course/3086) - 생활코딩
* [Web2-Domain name system](https://www.opentutorials.org/course/3276) - 생활코딩
* [Web2-Home server](https://www.opentutorials.org/course/3265) - 생활코딩
* [Web2-JavaScript](https://www.opentutorials.org/course/3085) - 생활코딩
* [Web2-nodejs](https://www.opentutorials.org/course/3332) - 생활코딩
* [Web2-PHP](https://www.opentutorials.org/course/3130) - 생활코딩
* [Web2-Python](https://www.opentutorials.org/course/3256) - 생활코딩
* [Web3-PHP & MySQL](https://www.youtube.com/playlist?list=PLuHgQVnccGMA5836CvWfieEQy0T0ov6Jh) - 생활코딩


### WebRTC

* [줌 클론코딩](https://nomadcoders.co/noom) - Nicolás Serrano Arévalo (Nomad Coders) (email address *required*)


### Windows

* [뇌를 자극하는 윈도우즈 시스템 프로그래밍](https://www.youtube.com/playlist?list=PLVsNizTWUw7E2KrfnsyEjTqo-6uKiQoxc)
