### Index

* [Competitive Programming](#competitive-programming)
* [CTF Capture the Flag](#capture-the-flag)
* [Data science](#data-science)
* [HTML and CSS](#html-and-css)
* [Ladders](#ladders)
* [Problem Sets](#problem-sets)


### Competitive Programming

* [A Way to Practice Competitive Programming](https://github.com/E869120/Competitive-Programming/blob/master/%5BTutorial%5D%20A%20Way%20to%20Practice%20Competitive%20Programming.pdf) - Masataka Yoneda (PDF)
* [A2 Online Judge](https://a2oj.netlify.app)
* [Algorithms for Competitive Programming](https://cp-algorithms.com)
* [APL Problem Solving Competition](https://contest.dyalog.com)
* [AtCoder](https://atcoder.jp)
* [beecrowd](https://www.beecrowd.com.br)
* [COCI](https://hsin.hr/coci/)
* [Codeabbey](http://www.codeabbey.com)
* [Codechef](https://www.codechef.com/contests)
* [Codecombat](https://codecombat.com)
* [Codeeval](https://www.codeeval.com)
* [CodeFights](https://codefights.com)
* [Codeforces](http://codeforces.com/contests)
* [Codeground](https://www.codeground.org)
* [Coderbyte](https://coderbyte.com)
* [Codewars](http://www.codewars.com)
* [Codingame](https://www.codingame.com/start)
* [Competitive Programming Cheat Sheet](https://medium.com/cheat-sheets/cheat-sheet-for-competitive-programming-with-c-f2e8156d5aa9)
* [CSES Problem Set](https://cses.fi/problemset)
* [Dimik](https://dimikoj.com)
* [DMOJ](https://dmoj.ca)
* [E-olymp](https://www.e-olymp.com/en/)
* [Exercism](https://exercism.org)
* [HackerEarth](https://www.hackerearth.com)
* [Hackerrank](https://www.hackerrank.com)
* [Internet Problem Solving Contest](http://ipsc.ksp.sk)
* [Just another Golf Coding](http://jagc.org)
* [Kattis](https://open.kattis.com)
* [Last Moment DSA Sheet(79) – Ace Interviews](https://takeuforward.org/interview-sheets/strivers-79-last-moment-dsa-sheet-ace-interviews) - Striver
* [LeetCode](https://leetcode.com)
* [LightOJ](https://lightoj.com)
* [Meta Hackercup](https://www.facebook.com/codingcompetitions/hacker-cup/)
* [Newton School](https://my.newtonschool.co/contest/all)
* [oj.uz](https://oj.uz)
* [Sigmageek](https://sigmageek.com)
* [Sphere Online Judge](http://www.spoj.com/contests)
* [Techgig](https://www.techgig.com)
* [Top Array Interview Questions – Structured Path with Video Solutions \| Arrays Series](https://takeuforward.org/array/top-array-interview-questions-structured-path-with-video-solutions/)
* [Top Coding Interview Problems](https://takeuforward.org/interviews/strivers-sde-sheet-top-coding-interview-problems/) - Striver
* [Topcoder](https://www.topcoder.com)
* [Toph](https://toph.co)
* [USACO.guide](https://usaco.guide)


### Capture the flag

* [ångstromCTF](https://angstromctf.com)
* [CTFlearn](https://ctflearn.com) (email address *requested*)
* [CTFtime](https://ctftime.org)
* [DamnVulnerableDefi](https://www.damnvulnerabledefi.xyz)
* [echoCTF](https://echoctf.red) (email address *requested*)
* [Google CTF](https://capturetheflag.withgoogle.com) (email address *requested*)
* [Hacker101](https://ctf.hacker101.com) (email address *requested*)
* [Hackthebox](https://www.hackthebox.eu) (email address *requested*)
* [HackThisSite](https://www.hackthissite.org) (email address *requested*)
* [InCTF](https://inctf.in)
* [Microcorruption](https://microcorruption.com/login)
* [Overthewire Wargames fungame to practice CTF](https://overthewire.org/wargames/bandit)
* [Picoctf](https://picoctf.org/resources.html) (email address *requested*)
* [ringzer0ctf](https://ringzer0ctf.com/home) (email address *required*)
* [ROP Wargame Repository](https://github.com/xelenonz/game)
* [SmashTheStack](http://www.smashthestack.org/main.html#wargames)
* [TryHackMe](https://tryhackme.com) (email address *requested*)


### Data science

* [AIcrowd](https://www.aicrowd.com)
* [CodaLab](https://codalab.lisn.upsaclay.fr)
* [CrowdANALYTIX](https://www.crowdanalytix.com/community)
* [DrivenData](https://www.drivendata.org)
* [Kaggle](https://www.kaggle.com)
* [Zindi](https://zindi.africa)


### HTML and CSS

* [Frontend Mentor](https://www.frontendmentor.io/challenges?languages=CSS&sort=difficulty%7Casc&type=free) *(email address requested)*


### Ladders

* [A2 Online Judge](https://a2oj.netlify.app)
* [Atcoder Problems](https://kenkoooo.com/atcoder/#/table)
* [C2 Ladders](https://c2-ladders-juol.onrender.com)
* [Striver's A2Z DSA Course/sheet](https://takeuforward.org/strivers-a2z-dsa-course/strivers-a2z-dsa-course-sheet-2)
* [Striver’s CP Sheet](https://takeuforward.org/interview-experience/strivers-cp-sheet/)
* [System Design Roadmap with Videos for SDEs](https://takeuforward.org/system-design/complete-system-design-roadmap-with-videos-for-sdes/) - take U forward(takeuforward)


### Problem Sets

* [#C++](https://www.youtube.com/playlist?list=PLliXPok7ZonkJEe0cUbVZ3umyKbFA-Dd9) - Keerti Purswani
* [100 Days CSS Challenge](https://100dayscss.com) - Matthias Martin *(Codepen account requested, not required)*
* [500 Data structures and algorithms interview questions and their solutions in C++](https://www.quora.com/q/techiedelight/500-Data-Structures-and-Algorithms-interview-questions-and-their-solutions)
* [Abekus \| Free Practice Questions with Solutions](https://abekus.com)
* [Advent Of Code](http://adventofcode.com)
* [AdventJS - 25 días de retos con JavaScript](https://adventjs.dev) - Miguel Ángel Durán «midudev» *(GitHub account requested, not required)*
* [Anarchy Golf](http://golf.shinh.org)
* [APL Practice Problems](https://problems.tryapl.org)
* [BaekJoon Online Judge](http://www.acmicpc.net)
* [beecrowd](https://www.beecrowd.com.br)
* [CareerCup](http://www.careercup.com)
* [CheckIO](http://www.checkio.org)
* [Codechef](https://www.codechef.com/problems/school)
* [Codedrills](https://codedrills.io/competitive)
* [Codeforces](http://codeforces.com/problemset)
* [Codility](https://codility.com/programmers/)
* [Coding Bat](http://codingbat.com/java)
* [Coding Interview Questions and answers for practice \| Python, Java & C++](https://www.codingninjas.com/codestudio/problems) - CodingNinjas
* [Coding Ninjas Guided Paths](https://www.codingninjas.com/codestudio/guided-paths/data-structures-algorithms)
* [CSES Problem Set](https://cses.fi/problemset/)
* [DSA Learning Series](https://www.codechef.com/LEARNDSA)
* [Dynamic A2OJ Ladder](https://a2oj.herokuapp.com)
* [Edabit](https://edabit.com)
* [Exercism](http://exercism.io)
* [Geeks For Geeks](https://practice.geeksforgeeks.org)
* [Grind 75](https://www.techinterviewhandbook.org/grind75)
* [Hacker.org](http://www.hacker.org)
* [HackerEarth](https://www.hackerearth.com)
* [HDU Online Judge](http://acm.hdu.edu.cn)
* [IndiaBix](https://www.indiabix.com)
* [Interactive Coding Challenge](https://github.com/donnemartin/interactive-coding-challenges)
* [InterviewBit](https://www.interviewbit.com)
* [Kattis](https://open.kattis.com)
* [Mathproblem of the Month - Bilkent University](http://www.fen.bilkent.edu.tr/~cvmath/prob-month.html)
* [NeetCode 150](https://neetcode.io/practice)
* [PEG Judge](http://wcipeg.com)
* [Pep Coding](https://www.pepcoding.com/resources)
* [PKU Online Judge](http://poj.org)
* [Ponder This!](https://www.research.ibm.com/haifa/ponderthis/index.shtml)
* [Practice Python](https://www.practicepython.org)
* [ProblemBook.NET](https://github.com/AndreyAkinshin/ProblemBook.NET)
* [Project Euler](https://projecteuler.net)
* [Python Practice Projects](http://pythonpracticeprojects.com)
* [Rosalind](http://rosalind.info/problems/locations/)
* [Sphere Online Judge](http://www.spoj.com/problems/classical)
* [TalentBuddy](http://www.talentbuddy.co/blog/)
* [The Ultimate Topic List(with Tutorials, Problems, and Templates)](https://blog.shahjalalshohag.com/topic-list/) - Shahjalal Shohag
* [Timus Online Judge](http://acm.timus.ru)
* [Top Interview 150](https://leetcode.com/studyplan/top-interview-150/) - LeetCode
* [Topic wise multiple choice questions in computer science](https://www.geeksforgeeks.org/quiz-corner-gq/#C%20Programming%20Mock%20Tests) - Geeks For Geeks
* [UVa Online Judge](https://uva.onlinejudge.org/index.php?Itemid=8&option=com_onlinejudge)
* [Vulnhub.com](https://www.vulnhub.com)
* [Школа программиста](https://acmp.ru)

